Subject: Re: unable to handle kernel NULL pointer dereference in skb_dequeue

From: Jarek Poplawski <[email-masked]>
Date: Fri, 10 Dec 2010 22:30:25 +0100

David Miller wrote:
> From: Denys Fedoryshchenko <[email-masked]>
> Date: Fri, 10 Dec 2010 21:51:04 +0200
...
>> Is there any plans to queue any patch to stable?
>> pppoe is almost dead in 2.6.36.*
> 
> I'll deal with it for -stable once I evaluate this patch for upstream,
> which I haven't even gotten to yet.

This patch is here:
http://patchwork.ozlabs.org/patch/75095/

But IMHO it's buggy for the reason I mentioned. Since Andrej
didn't respond yet I'd suggest reverting of the offending
commit 55c95e738da85. If you agree with that but e.g. too busy,
let me know.

Jarek P.